<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4023
Name: Einzeldosierungen
Description: Einzeldosierungen, Einnahme: morgens, mittags, abends, zur Nacht
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4023-2014-11-01T000000">
   <title>Einzeldosierungen</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']]
Item: (MedicationStatementSplitDose)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']"
         id="d115e2793-false-d39509e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="string(@classCode)=('SBADM')">(MedicationStatementSplitDose): Der Wert von @classCode MUSS 'SBADM' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="string(@moodCode)=('EVN')">(MedicationStatementSplitDose): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4023'])&gt;=1">(MedicationStatementSplitDose): Element hl7:templateId[@root='1.2.276.0.76.10.4023'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4023'])&lt;=1">(MedicationStatementSplitDose): Element hl7:templateId[@root='1.2.276.0.76.10.4023'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(MedicationStatementSplitDose): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(MedicationStatementSplitDose): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(MedicationStatementSplitDose): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(MedicationStatementSplitDose): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="count(hl7:doseQuantity[not(@nullFlavor)])&gt;=1">(MedicationStatementSplitDose): Element hl7:doseQuantity[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="count(hl7:doseQuantity[not(@nullFlavor)])&lt;=1">(MedicationStatementSplitDose): Element hl7:doseQuantity[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="count(hl7:consumable[not(@nullFlavor)])&gt;=1">(MedicationStatementSplitDose): Element hl7:consumable[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="count(hl7:consumable[not(@nullFlavor)])&lt;=1">(MedicationStatementSplitDose): Element hl7:consumable[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']/hl7:templateId[@root='1.2.276.0.76.10.4023']
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']/hl7:templateId[@root='1.2.276.0.76.10.4023']"
         id="d115e2799-false-d39587e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementSplitDose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4023')">(MedicationStatementSplitDose): Der Wert von @root MUSS '1.2.276.0.76.10.4023' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']/hl7:text[not(@nullFlavor)]
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']/hl7:text[not(@nullFlavor)]"
         id="d115e2804-false-d39605e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementSplitDose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&gt;=1">(MedicationStatementSplitDose): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&lt;=1">(MedicationStatementSplitDose): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]"
         id="d115e2806-false-d39631e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementSplitDose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="@value">(MedicationStatementSplitDose): Attribut @value MUSS vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']/hl7:effectiveTime[not(@nullFlavor)]
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']/hl7:effectiveTime[not(@nullFlavor)]"
         id="d115e2816-false-d39649e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EIVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementSplitDose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:EIVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EIVL_TS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="count(hl7:event[not(@nullFlavor)])&gt;=1">(MedicationStatementSplitDose): Element hl7:event[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="count(hl7:event[not(@nullFlavor)])&lt;=1">(MedicationStatementSplitDose): Element hl7:event[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']/hl7:effectiveTime[not(@nullFlavor)]/hl7:event[not(@nullFlavor)]
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']/hl7:effectiveTime[not(@nullFlavor)]/hl7:event[not(@nullFlavor)]"
         id="d115e2821-false-d39675e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementSplitDose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="@code">(MedicationStatementSplitDose): Attribut @code MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.2.6.60.4.11.20-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="not(@code) or count($theAttValue) = count($theAttCheck)">(MedicationStatementSplitDose): Der Wert von code MUSS gewählt werden aus Value Set '2.16.840.1.113883.2.6.60.4.11.20' Einnahmezeitpunkte (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']/hl7:doseQuantity[not(@nullFlavor)]
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']/hl7:doseQuantity[not(@nullFlavor)]"
         id="d115e2831-false-d39707e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementSplitDose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_PQ"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(MedicationStatementSplitDose): value/low @value ist keine gültige PQ Zahl<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(MedicationStatementSplitDose): value/high @value ist keine gültige PQ Zahl<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(MedicationStatementSplitDose): value/center @value ist keine gültige PQ Zahl<value-of select="hl7:center/@value"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']/hl7:consumable[not(@nullFlavor)]
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']/hl7:consumable[not(@nullFlavor)]"
         id="d115e2833-false-d39730e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="count(hl7:manufacturedProduct[not(@nullFlavor)])&gt;=1">(MedicationStatementSplitDose): Element hl7:manufacturedProduct[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="count(hl7:manufacturedProduct[not(@nullFlavor)])&lt;=1">(MedicationStatementSplitDose): Element hl7:manufacturedProduct[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]"
         id="d115e2835-false-d39753e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="count(hl7:manufacturedMaterial)&gt;=1">(MedicationStatementSplitDose): Element hl7:manufacturedMaterial ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(MedicationStatementSplitDose): Element hl7:manufacturedMaterial kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]/hl7:manufacturedMaterial
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4023']/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]/hl7:manufacturedMaterial"
         id="d115e2837-false-d39776e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160727T173021/tmp-1.2.276.0.76.10.4023-2014-11-01T000000.html"
              test="string(@nullFlavor)=('NA')">(MedicationStatementSplitDose): Der Wert von @nullFlavor MUSS 'NA' sein.</assert>
   </rule>
</pattern>
